### R code from vignette source 'twitteR.Rnw'

###################################################
### code chunk number 1: initialize
###################################################
library(twitteR)


###################################################
### code chunk number 2: publicTimeline
###################################################
   publicTweets <- publicTimeline()
   length(publicTweets)
   publicTweets[1:5]
   publicTweets[[1]]$getScreenName()
   publicTweets[[1]]$getCreated()
   publicTweets[[1]]$getText()


###################################################
### code chunk number 3: userTimeline
###################################################
   cranTweets <- userTimeline('cranatic')
   cranTweets[1:5]


###################################################
### code chunk number 4: <userTimeline2
###################################################
   cranTweetsLarge <- userTimeline('cranatic', n=100)
   length(cranTweetsLarge)


###################################################
### code chunk number 5: search
###################################################
   sea <- searchTwitter('#twitter', n=50)
   sea[1:5]


###################################################
### code chunk number 6: getUser
###################################################
   crantastic <- getUser('crantastic')
   crantastic


###################################################
### code chunk number 7: trends
###################################################
   yesterdayTrends <- getTrends('daily', date=as.character(Sys.Date()-1))
   length(yesterdayTrends)
   
   lastWeekTrends <- getTrends('weekly', date=as.character(Sys.Date()-7))
   length(lastWeekTrends)


###################################################
### code chunk number 8: seeSources
###################################################
   sources <- sapply(publicTweets, function(x) x$getStatusSource())
   sources <- gsub("</a>", "", sources)
   sources <- strsplit(sources, ">")
   sources <- sapply(sources, function(x) ifelse(length(x) > 1, x[2], x[1]))
   pie(table(sources))


###################################################
### code chunk number 9: dataFrame
###################################################
   df <- twListToDF(publicTweets)
   df[1:3,1:3]


###################################################
### code chunk number 10: ROAuth (eval = FALSE)
###################################################
##    cred <- OAuthFactory$new(consumerKey=YOURKEY,
##                             consumerSecret=YOURSECRET,
##                             requestURL=requestURL,
##                             accessURL=accessURL,
##                             authURL=authURL)
##    cred$handshake()


###################################################
### code chunk number 11: RegisterOAuth (eval = FALSE)
###################################################
##    registerTwitterOAuth(cred)


###################################################
### code chunk number 12: twitteR.Rnw:259-260
###################################################
sessionInfo()


